#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=xraydb
export PYBUILD_DIR=python

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	cd data_sources/ & python3 ./create_db.py & cd -

override_dh_auto_build:
	export http_proxy=127.0.0.1:9
	dh_auto_build
	PYTHONPATH=python python3 -m sphinx -N -bhtml doc/ build/html

override_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_auto_test:
	HOMEPATH=. PYTHONPATH=python pytest-3 python/tests/ -s -v

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r python/xraydb.egg-info/ build/ python/.pytest_cache/
	find . -name "*.pyc" -delete
	$(RM) xraydb.sqlite
